AntCallTrigger
Date: 2014-12-13

org.apache.ivy.ant

## Class AntCallTrigger

- java.lang.Object
- - org.apache.ivy.plugins.trigger.AbstractTrigger
  - - org.apache.ivy.ant.AntCallTrigger

- All Implemented Interfaces:
    java.util.EventListener, IvyListener, Trigger

      public class AntCallTrigger
      extends AbstractTrigger
      implements Trigger

  Triggers an call to an ant target on an event occurence.

  This trigger only works when ivy is called from an ant build file, otherwise the trigger only log a failure.

  Example of use in an ivysettings file:

       <ant-call-trigger event="post-download-artifact" filter="type=zip"
       target="unzip"/>

  Triggers a call to the target "unzip" for any downloaded artifact of type zip
  Since:
    1.4
  See Also:
    `AntBuildTrigger`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AntCallTrigger()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPrefix()`
    `java.lang.String` | `getTarget()`
    `boolean` | `isOnlyonce()`
    `void` | `progress(IvyEvent event)`
    `void` | `setOnlyonce(boolean onlyonce)`
    `void` | `setPrefix(java.lang.String prefix)`
    `void` | `setTarget(java.lang.String target)`

    - ### Methods inherited from class org.apache.ivy.plugins.trigger.AbstractTrigger

      `getEvent, getEventFilter, getFilter, getMatcher, setEvent, setFilter, setMatcher`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ivy.plugins.trigger.Trigger

      `getEventFilter`

- - ### Constructor Detail

    - #### AntCallTrigger

          public AntCallTrigger()

  - ### Method Detail

    - #### progress

          public void progress(IvyEvent event)

      Specified by:
        `progress` in interface `IvyListener`

    - #### getTarget

          public java.lang.String getTarget()

    - #### setTarget

          public void setTarget(java.lang.String target)

    - #### isOnlyonce

          public boolean isOnlyonce()

    - #### setOnlyonce

          public void setOnlyonce(boolean onlyonce)

    - #### getPrefix

          public java.lang.String getPrefix()

    - #### setPrefix

          public void setPrefix(java.lang.String prefix)